Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.
nombre réponses : 25

#0 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 17/07/2013, à 17:42

Silvio66
Réponses : 153

Pour:

sudo apt-get remove --purge libgdal-ecw
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  qgis-plugin-grass-common libvncserver0 qgis-plugin-globe-common libgsoap1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  libgdal-ecw*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 147 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 1078667 fichiers et répertoires déjà installés.)
Suppression de libgdal-ecw ...
dpkg : avertissement : lors de la suppression de libgdal-ecw, le répertoire « /usr/lib/gdalplugins » n'était pas vide, donc il n'a pas été supprimé.

Avec:

sudo gdal-ecw-build /usr

ça bloque...

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

Un vrai casse-tête...

#1 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 18/07/2013, à 11:02

Silvio66
Réponses : 153
kikislater a écrit :

Non non on y arrive
Renvoie moi le résultat de ça stp :

ls /usr/lib/gdalplugins

Voilà:

 ls /usr/lib/gdalplugins
1.8

#2 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 18/07/2013, à 11:52

Silvio66
Réponses : 153

@ Kickslater,

ça bloque à:

sudo apt-get install gdal-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet gdal-dev

#3 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 18/07/2013, à 14:01

Silvio66
Réponses : 153
kikislater a écrit :

Autant pour moi !

sudo apt-get install libgdal-dev

Ça donne:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgdal-dev est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  qgis-plugin-grass-common libvncserver0 qgis-plugin-globe-common libgsoap1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

#4 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 19/07/2013, à 10:26

Silvio66
Réponses : 153
kikislater a écrit :

ok ok faut passer à la suite :

sudo rm -rf /usr/lib/gdalplugins/1.8

Si tu n'as pas déjà fait puis :

sudo gdal-ecw-build /usr

Avec

sudo rm -rf /usr/lib/gdalplugins/1.8

Ça ne donne rien...

Et avec:

sudo gdal-ecw-build /usr

ça donne:

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

#5 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 19/07/2013, à 11:01

Silvio66
Réponses : 153
ls /usr/lib/gdalplugins

ça ne donne rien.

ls /usr/src/

ça donne:

libgdal-ecw-1.10.0.tar.gz           linux-headers-3.2.0-39-generic
linux-headers-2.6.32-33             linux-headers-3.2.0-39-generic-pae
linux-headers-2.6.32-33-generic     linux-headers-3.2.0-40
linux-headers-3.2.0-24              linux-headers-3.2.0-40-generic
linux-headers-3.2.0-24-generic      linux-headers-3.2.0-40-generic-pae
linux-headers-3.2.0-24-generic-pae  linux-headers-3.2.0-41
linux-headers-3.2.0-25              linux-headers-3.2.0-41-generic
linux-headers-3.2.0-25-generic      linux-headers-3.2.0-41-generic-pae
linux-headers-3.2.0-26              linux-headers-3.2.0-42
linux-headers-3.2.0-26-generic      linux-headers-3.2.0-42-generic
linux-headers-3.2.0-29              linux-headers-3.2.0-42-generic-pae
linux-headers-3.2.0-29-generic      linux-headers-3.2.0-43
linux-headers-3.2.0-30              linux-headers-3.2.0-43-generic
linux-headers-3.2.0-30-generic      linux-headers-3.2.0-43-generic-pae
linux-headers-3.2.0-31              linux-headers-3.2.0-44
linux-headers-3.2.0-31-generic      linux-headers-3.2.0-44-generic
linux-headers-3.2.0-32              linux-headers-3.2.0-44-generic-pae
linux-headers-3.2.0-32-generic      linux-headers-3.2.0-45
linux-headers-3.2.0-33              linux-headers-3.2.0-45-generic
linux-headers-3.2.0-33-generic      linux-headers-3.2.0-45-generic-pae
linux-headers-3.2.0-34              linux-headers-3.2.0-47
linux-headers-3.2.0-34-generic      linux-headers-3.2.0-47-generic
linux-headers-3.2.0-35              linux-headers-3.2.0-47-generic-pae
linux-headers-3.2.0-35-generic      linux-headers-3.2.0-48
linux-headers-3.2.0-36              linux-headers-3.2.0-48-generic
linux-headers-3.2.0-36-generic      linux-headers-3.2.0-48-generic-pae
linux-headers-3.2.0-36-generic-pae  linux-headers-3.2.0-49
linux-headers-3.2.0-37              linux-headers-3.2.0-49-generic
linux-headers-3.2.0-37-generic      linux-headers-3.2.0-49-generic-pae
linux-headers-3.2.0-37-generic-pae  linux-headers-3.2.0-50
linux-headers-3.2.0-38              linux-headers-3.2.0-50-generic
linux-headers-3.2.0-38-generic      linux-headers-3.2.0-50-generic-pae
linux-headers-3.2.0-38-generic-pae  vhba-20120422
linux-headers-3.2.0-39

Au sujet de la procédure à la main tout se passe bien jusqu'à:

export BUILDDIR=`mktemp -d /tmp/gdal-ecw-build.temp`

Qu'il renvoi:

mktemp: trop peu de X dans le modèle «/tmp/gdal-ecw-build.temp»

#6 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 19/07/2013, à 11:19

Silvio66
Réponses : 153
kikislater a écrit :

Ok pardon !


export VERSION=1.10.0
export PLUGINDIR=/usr/lib/gdalplugins/1.10
export TARBALL=/usr/src/libgdal-ecw-$VERSION.tar.gz
export BUILDDIR=`mktemp -d /tmp/gdal-ecw-build.XXXXXX`
tar xzf $TARBALL -C $BUILDDIR
cd $BUILDDIR/libgdal-ecw-$VERSION
sh ./configure --with-ecw=/usr --with-autoload=$PLUGINDIR
make
sudo make install
sudo chown root:root $PLUGINDIR/gdal_ECW_JP2ECW.so
sudo chmod 0644 $PLUGINDIR/gdal_ECW_JP2ECW.so
sudo rm -rf $BUILDDIR

Voilà le résultats:

silvio@silvio-TWH:~$ export VERSION=1.10.0
silvio@silvio-TWH:~$ export PLUGINDIR=/usr/lib/gdalplugins/1.10
silvio@silvio-TWH:~$ export TARBALL=/usr/src/libgdal-ecw-$VERSION.tar.gz
silvio@silvio-TWH:~$ export BUILDDIR=`mktemp -d /tmp/gdal-ecw-build.XXXXXX`
silvio@silvio-TWH:~$ tar xzf $TARBALL -C $BUILDDIR
silvio@silvio-TWH:~$ cd $BUILDDIR/libgdal-ecw-$VERSION
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ 
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ sh ./configure --with-ecw=/usr --with-autoload=$PLUGINDIR
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for ranlib... ranlib
checking for g++ -shared ... yes
checking for gdal-config... /usr/bin/gdal-config
using /usr/lib/gdalplugins/1.10 as GDAL shared library autoload directory
checking for libNCSEcw.so or libecwj2... found in /usr/lib.
checking for NCSECWClient.h in /usr/include... found.
configure: creating ./config.status
config.status: creating Makefile
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ make
g++ -DFRMT_ecw -Wall -I/usr/include -fPIC  -DFRMT_ecw -I/usr/include/gdal -I/usr/include   -c -o ecwcreatecopy.o ecwcreatecopy.cpp
ecwcreatecopy.cpp: In member function ‘virtual CNCSError GDALECWCompressor::WriteReadLine(UINT32, void**)’:
ecwcreatecopy.cpp:222:16: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwcreatecopy.cpp:224:16: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwcreatecopy.cpp: In member function ‘CPLErr GDALECWCompressor::Initialize(const char*, char**, int, int, int, const char* const*, int, GDALDataType, const char*, double*, int, const GDAL_GCP*, int)’:
ecwcreatecopy.cpp:1012:15: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwcreatecopy.cpp:1019:62: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwcreatecopy.cpp: In function ‘GDALDataset* ECWCreateCopy(const char*, GDALDataset*, int, char**, GDALProgressFunc, void*, int)’:
ecwcreatecopy.cpp:1168:15: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwcreatecopy.cpp: In member function ‘CPLErr ECWWriteDataset::Crystalize()’:
ecwcreatecopy.cpp:1706:15: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
g++ -DFRMT_ecw -Wall -I/usr/include -fPIC  -DFRMT_ecw -I/usr/include/gdal -I/usr/include   -c -o ecwdataset.o ecwdataset.cpp
ecwdataset.cpp: In member function ‘CPLErr ECWRasterBand::OldIRasterIO(GDALRWFlag, int, int, int, int, void*, int, int, GDALDataType, int, int)’:
ecwdataset.cpp:715:15: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwdataset.cpp: In member function ‘virtual CPLErr ECWDataset::AdviseRead(int, int, int, int, int, int, GDALDataType, int, int*, char**)’:
ecwdataset.cpp:1501:15: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwdataset.cpp: In member function ‘virtual CPLErr ECWDataset::IRasterIO(GDALRWFlag, int, int, int, int, void*, int, int, GDALDataType, int, int*, int, int, int)’:
ecwdataset.cpp:1894:18: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwdataset.cpp: In static member function ‘static CNCSJP2FileView* ECWDataset::OpenFileView(const char*, bool, int&, bool)’:
ecwdataset.cpp:2221:22: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
ecwdataset.cpp: In function ‘int ECWTranslateFromWKT(const char*, char*, int, char*, int, char*)’:
ecwdataset.cpp:2860:19: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
g++ -DFRMT_ecw -Wall -I/usr/include -fPIC  -DFRMT_ecw -I/usr/include/gdal -I/usr/include   -c -o jp2userbox.o jp2userbox.cpp
jp2userbox.cpp: In member function ‘virtual CNCSError JP2UserBox::Parse(CNCSJP2File&, CNCSJPCIOStream&)’:
jp2userbox.cpp:104:23: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
jp2userbox.cpp: In member function ‘virtual CNCSError JP2UserBox::UnParse(CNCSJP2File&, CNCSJPCIOStream&)’:
jp2userbox.cpp:123:23: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
jp2userbox.cpp:127:17: attention : deprecated conversion from string constant to ‘char*’ [-Wwrite-strings]
g++ -shared  ecwcreatecopy.o ecwdataset.o jp2userbox.o -L/usr/lib -lNCSEcw -lNCSCnet -lNCSUtil -L/usr/lib -lgdal  -o gdal_ECW_JP2ECW.so
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ sudo make install
[sudo] password for silvio: 
install -d /usr/lib/gdalplugins/1.10
cp gdal_ECW_JP2ECW.so /usr/lib/gdalplugins/1.10
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ sudo chown root:root $PLUGINDIR/gdal_ECW_JP2ECW.so
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ sudo chmod 0644 $PLUGINDIR/gdal_ECW_JP2ECW.so
silvio@silvio-TWH:/tmp/gdal-ecw-build.sUfF3S/libgdal-ecw-1.10.0$ sudo rm -rf $BUILDDIR

Après j'ouvre QGIS et... ça marche!!!!

UN GRAND ENORME MERCI!!!

[EDIT]

Mon gestionnaire de MAJ me propose:

Modifications pour les versions :
Version installée : 1.10.0-1~precise2
Version disponible : 1.10.0-1~precise3

sur le paquet:

http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu

C'est le même qu'il m'as fait tout deconner la semaine dernière... donc je me garde bien de le mettre à jour...

#7 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 04/09/2014, à 10:13

Silvio66
Réponses : 153

Bonjour à tous,

Je reviens à la charge car je suis passé à Xubuntu 14.04 et QGIS 2.4 et je n'arrive plus à lire les ECW...

Merci pour votre aide.

#8 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 04/09/2014, à 17:35

Silvio66
Réponses : 153

Merci Kickslater,

je vais essayer la manip demain.

Par contre j'ai un doute, tu marque:

### ECW source : https://aur.archlinux.org/packages/li/libecwj2/

Je suis sous Xubuntu, le fait de travailler sous Archlinux ne vas pas poser un problème?

#9 Re : -1 »  [QGis 1.8] Lire ECW sous Ubuntu 12.10 » Le 05/09/2014, à 09:30

Silvio66
Réponses : 153

Merci kikislater et bonuscad

Les ECW sont à nouveau visibles, tout le service technique de la commune vous remercie!!!!

En effet avant de faire la manip de kikslater j'ai ajouté les deux paquets de bonuscad:

sudo apt-get install checkinstall
sudo apt-get install libgdal-dev

Encore un énorme merci!!!

#10 -1 »  [Résolu] Script (mais pas que) pour couper le nom d'un fichier » Le 09/07/2014, à 16:02

Silvio66
Réponses : 29

Bonjour à tous,

Désolé si ce sujet à déjà été posté, mais je n'arrive pas à m'en sortir.

Je dois renommer environ un milliers de fichiers car le nom est trop long et mon logiciel SIG ne le reconnaît pas.

Les fichiers actuellement sont ainsi nommés :

66-2012-0594-6158-LA93-0M50-RVB-E100.ecw 

je voudrais, au final, ce résultat:

66-2012-0594-6158.ecw 

Est-ce que c'est possible?

D'avance merci.

#11 Re : -1 »  [Résolu] Script (mais pas que) pour couper le nom d'un fichier » Le 09/07/2014, à 16:26

Silvio66
Réponses : 29

Merci pour ta rapidité jplemoine:

jplemoine a écrit :

1 - le début à garder est-il unique ?

Tous les fichiers commencent par 66-2012, ce qui change c'est le reste

jplemoine a écrit :

2 - les fichiers sont-ils dans le même répertoire.

Oui, tout à fait.

#12 Re : -1 »  [Résolu] Script (mais pas que) pour couper le nom d'un fichier » Le 09/07/2014, à 16:50

Silvio66
Réponses : 29

Ça ne marche pas...:(

J'ai lancé le script après l'avoir rendu exécutable mais aucune trace des fichiers renommés, au moins que il soient placé ailleurs...

#13 Re : -1 »  [Résolu] Script (mais pas que) pour couper le nom d'un fichier » Le 11/07/2014, à 17:06

Silvio66
Réponses : 29
UbuntOlivier a écrit :

@Silvio66 :
Je vois Xubuntu dans ta signature, donc tu as XFCE ? Donc tu as Thunar comme gestionnaire de fichiers ? Donc tu as le renommage de masse avec la fonction F2 (ou clic-droit/Renommer… après avoir sélectionné plusieurs fichiers) ? Utilise alors l'option Chercher/Remplacer ou Supprimer des caractères (à partir de la droite), ça marchera tout seul… mais fais quand même un test sur qques fichiers avant de lancer le bazar pour 1 000 fichiers !

Bref, pas vraiment besoin de script dans ce cas-ci…

En effet, j'ai fait la manip de UbuntOlivier et ça a marché sans besoin de script...

Merci pour tout à tous.

#14 -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 25/12/2013, à 20:53

Silvio66
Réponses : 16

Bonjour,

depuis 2 jours (et une MAJ) je n'arrive plus à redemarrer Xubuntu en mode graphique.

Je suis sous Xubuntu 12.14.3 LTS avec le dernier Kernel à jour.

J'ai regardé quelques post sur le furum comme ici ou , mais rien.

Est-ce que quelqu'un peut m'aider?

Bonne fêtes de fin d'année.

#15 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 28/12/2013, à 19:31

Silvio66
Réponses : 16

Bonjour alca94,

j'ai donné la commande:

lspci

Et ça me donne toute une tartine de ligne, mais je pense que celle que nous intéresse est celle-ci:

00:10.0 VGA compatible controller: NVIDIA Corporation C73 [GeForce 7100 / nForce 620i] (rev a2)

Par contre j'ai essayé d'allumer l'ordi avec un live CD et ça marche bien.
L'ordi a bien marché jusqu'aux dernières MAJ.

Bonne soirée.

#16 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 28/12/2013, à 19:53

Silvio66
Réponses : 16

Bonjour,

avec:

sudo apt-get install nvidia-current 

il me donne ça:
mini_131228065557815178.jpg

Que NVIDIA est déjà à jour.

[EDIT]

Ici on voit mieux l'image: http://www.casimages.com/img.php?i=1312 … 815178.jpg

#17 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 28/12/2013, à 20:19

Silvio66
Réponses : 16
jeanjd63 a écrit :

Salut

En fait il faut commencer par désinstaller les drivers nvidia puis les reinstaller :
sudo  apt-get  purge "nvidia *"
sudo  apt-get  install  nvidia-current

puis tu fais :
startx

Après cette manip ça remarche presque normalement...

J'ai juste un petit problème avec CAIRO DOCK mais c'est rien par rapport à tout à l'heure.

Donc merci jeanjd63!!!

#18 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 28/12/2013, à 20:22

Silvio66
Réponses : 16
alca94 a écrit :

essayez de mettre a jour

sudo apt-get update

et

sudo apt-get dist-upgrade 

et notez si ça retourne des erreurs

J'ai fait ça et voilà le retour de:

sudo apt-get update
Atteint http://fr.archive.ubuntu.com precise Release.gpg
Atteint http://fr.archive.ubuntu.com precise-updates Release.gpg               
Atteint http://fr.archive.ubuntu.com precise-backports Release.gpg             
Atteint http://fr.archive.ubuntu.com precise Release                           
Atteint http://archive.canonical.com precise Release.gpg                       
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://fr.archive.ubuntu.com precise-updates Release                   
Atteint http://fr.archive.ubuntu.com precise-backports Release                 
Atteint http://archive.canonical.com precise Release                           
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://extras.ubuntu.com precise Release.gpg                           
Atteint http://fr.archive.ubuntu.com precise/main Sources                      
Atteint http://ppa.launchpad.net precise Release                               
Réception de : 1 http://download.tuxfamily.org precise Release.gpg [198 B]     
Atteint http://security.ubuntu.com precise-security Release.gpg                
Atteint http://extras.ubuntu.com precise Release                               
Atteint http://archive.canonical.com precise/partner Sources                   
Atteint http://fr.archive.ubuntu.com precise/restricted Sources                
Atteint http://fr.archive.ubuntu.com precise/universe Sources                  
Atteint http://fr.archive.ubuntu.com precise/multiverse Sources                
Atteint http://fr.archive.ubuntu.com precise/main amd64 Packages               
Atteint http://fr.archive.ubuntu.com precise/restricted amd64 Packages         
Atteint http://fr.archive.ubuntu.com precise/universe amd64 Packages           
Atteint http://fr.archive.ubuntu.com precise/multiverse amd64 Packages         
Atteint http://fr.archive.ubuntu.com precise/main i386 Packages                
Atteint http://fr.archive.ubuntu.com precise/restricted i386 Packages          
Réception de : 2 http://download.tuxfamily.org precise Release [4 043 B]       
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main amd64 Packages                   
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://extras.ubuntu.com precise/main Sources                          
Atteint http://fr.archive.ubuntu.com precise/universe i386 Packages            
Atteint http://fr.archive.ubuntu.com precise/multiverse i386 Packages          
Atteint http://fr.archive.ubuntu.com precise/main TranslationIndex             
Atteint http://fr.archive.ubuntu.com precise/multiverse TranslationIndex       
Atteint http://fr.archive.ubuntu.com precise/restricted TranslationIndex       
Atteint http://fr.archive.ubuntu.com precise/universe TranslationIndex         
Atteint http://archive.canonical.com precise/partner amd64 Packages            
Atteint http://archive.canonical.com precise/partner i386 Packages             
Ign http://archive.canonical.com precise/partner TranslationIndex              
Réception de : 3 http://download.tuxfamily.org precise/cairo-dock amd64 Packages [5 944 B]
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main amd64 Packages                   
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://extras.ubuntu.com precise/main amd64 Packages                   
Atteint http://extras.ubuntu.com precise/main i386 Packages                    
Ign http://extras.ubuntu.com precise/main TranslationIndex                     
Atteint http://security.ubuntu.com precise-security Release                    
Atteint http://fr.archive.ubuntu.com precise-updates/main Sources              
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Sources        
Atteint http://fr.archive.ubuntu.com precise-updates/universe Sources          
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Sources        
Atteint http://fr.archive.ubuntu.com precise-updates/main amd64 Packages       
Réception de : 4 http://download.tuxfamily.org precise/cairo-dock i386 Packages [5 919 B]
Atteint http://fr.archive.ubuntu.com precise-updates/restricted amd64 Packages 
Atteint http://fr.archive.ubuntu.com precise-updates/universe amd64 Packages   
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse amd64 Packages 
Atteint http://ppa.launchpad.net precise/main amd64 Packages                   
Atteint http://fr.archive.ubuntu.com precise-updates/main i386 Packages        
Atteint http://fr.archive.ubuntu.com precise-updates/restricted i386 Packages  
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://fr.archive.ubuntu.com precise-updates/universe i386 Packages    
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse i386 Packages  
Atteint http://fr.archive.ubuntu.com precise-updates/main TranslationIndex     
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-updates/restricted TranslationIndex
Ign http://download.tuxfamily.org precise/cairo-dock TranslationIndex          
Atteint http://fr.archive.ubuntu.com precise-updates/universe TranslationIndex 
Atteint http://fr.archive.ubuntu.com precise-backports/main Sources            
Atteint http://fr.archive.ubuntu.com precise-backports/restricted Sources      
Atteint http://fr.archive.ubuntu.com precise-backports/universe Sources        
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Sources      
Atteint http://security.ubuntu.com precise-security/main Sources               
Atteint http://fr.archive.ubuntu.com precise-backports/main amd64 Packages     
Atteint http://fr.archive.ubuntu.com precise-backports/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/universe amd64 Packages 
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/main i386 Packages      
Atteint http://fr.archive.ubuntu.com precise-backports/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/universe i386 Packages  
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/main TranslationIndex   
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/restricted TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/universe TranslationIndex
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr_FR            
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr               
Atteint http://fr.archive.ubuntu.com precise/main Translation-en               
Atteint http://security.ubuntu.com precise-security/restricted Sources         
Atteint http://security.ubuntu.com precise-security/universe Sources           
Atteint http://security.ubuntu.com precise-security/multiverse Sources         
Atteint http://security.ubuntu.com precise-security/main amd64 Packages        
Atteint http://security.ubuntu.com precise-security/restricted amd64 Packages  
Atteint http://security.ubuntu.com precise-security/universe amd64 Packages    
Atteint http://security.ubuntu.com precise-security/multiverse amd64 Packages  
Atteint http://security.ubuntu.com precise-security/main i386 Packages         
Atteint http://security.ubuntu.com precise-security/restricted i386 Packages   
Atteint http://security.ubuntu.com precise-security/universe i386 Packages     
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr_FR      
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr         
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-en         
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr_FR      
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr         
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-en         
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr_FR        
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr           
Atteint http://fr.archive.ubuntu.com precise/universe Translation-en           
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-fr       
Atteint http://security.ubuntu.com precise-security/multiverse i386 Packages   
Atteint http://security.ubuntu.com precise-security/main TranslationIndex      
Atteint http://security.ubuntu.com precise-security/multiverse TranslationIndex
Atteint http://security.ubuntu.com precise-security/restricted TranslationIndex
Atteint http://security.ubuntu.com precise-security/universe TranslationIndex  
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-en       
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-fr 
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-en 
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-fr 
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-en 
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-fr   
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-en   
Atteint http://fr.archive.ubuntu.com precise-backports/main Translation-en     
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/restricted Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/universe Translation-en 
Atteint http://security.ubuntu.com precise-security/main Translation-en        
Atteint http://security.ubuntu.com precise-security/multiverse Translation-en  
Atteint http://security.ubuntu.com precise-security/restricted Translation-en  
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://extras.ubuntu.com precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://extras.ubuntu.com precise/main Translation-fr                       
Ign http://archive.canonical.com precise/partner Translation-fr_FR             
Atteint http://security.ubuntu.com precise-security/universe Translation-en    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://extras.ubuntu.com precise/main Translation-en                       
Ign http://archive.canonical.com precise/partner Translation-fr                
Ign http://download.tuxfamily.org precise/cairo-dock Translation-fr_FR  
Ign http://download.tuxfamily.org precise/cairo-dock Translation-fr
Ign http://archive.canonical.com precise/partner Translation-en
Ign http://download.tuxfamily.org precise/cairo-dock Translation-en
16,1 ko réceptionnés en 1s (13,6 ko/s)
Lecture des listes de paquets... Fait
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: Duplicate sources.list entry http://download.tuxfamily.org/glxdock/repository/ubuntu/ precise/cairo-dock amd64 Packages (/var/lib/apt/lists/download.tuxfamily.org_glxdock_repository_ubuntu_dists_precise_cairo-dock_binary-amd64_Packages)
W: Duplicate sources.list entry http://download.tuxfamily.org/glxdock/repository/ubuntu/ precise/cairo-dock i386 Packages (/var/lib/apt/lists/download.tuxfamily.org_glxdock_repository_ubuntu_dists_precise_cairo-dock_binary-i386_Packages)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.

Et avec:

sudo apt-get dist-upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

#19 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 29/12/2013, à 20:00

Silvio66
Réponses : 16
jeanjd63 a écrit :

Tu as des doublons dans tes sources list :
sudo  grep  -Hi "canonical"  /etc/apt/sources.list.d/*
sudo  grep  -Hi "tuxfamily"  /etc/apt/sources.list.d/*

sudo  grep  -i "canonical"  /etc/apt/sources.list
sudo  grep  -i "tuxfamily"  /etc/apt/sources.list

Puis tu supprimes les doublons soit dans le fichier /etc/apt/sources.list soit dans le fichier correspondant dans /etc/apt/sources.list.d

puis tu refais un :
sudo  apt-get  update

J'ai donnée les commandes:
sudo  grep  -Hi "canonical"  /etc/apt/sources.list.d/*
sudo  grep  -Hi "tuxfamily"  /etc/apt/sources.list.d/*

sudo  grep  -i "canonical"  /etc/apt/sources.list
sudo  grep  -i "tuxfamily"  /etc/apt/sources.list

dans le terminal, mais je ne trouve pas les lignes dans les fichier que tu m'as indiqué.

#20 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 29/12/2013, à 20:16

Silvio66
Réponses : 16

Peut-être ici?

 (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-amd64_Packages)

#21 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 29/12/2013, à 20:22

Silvio66
Réponses : 16

Pour sudo  grep  -Hi "canonical"  /etc/apt/sources.list.d/*

/etc/apt/sources.list.d/oneiric-partner.list:deb http://archive.canonical.com/ubuntu precise partner #Added by software-center
/etc/apt/sources.list.d/oneiric-partner.list.distUpgrade:deb http://archive.canonical.com/ubuntu oneiric partner #Added by software-center
/etc/apt/sources.list.d/oneiric-partner.list.save:deb http://archive.canonical.com/ubuntu precise partner #Added by software-center

Pour sudo  grep  -Hi "tuxfamily"  /etc/apt/sources.list.d/*
Rien

Pour sudo  grep  -i "canonical"  /etc/apt/sources.list

## Uncomment the following two lines to add software from Canonical's
## This software is not part of Ubuntu, but is offered by Canonical and the
deb http://archive.canonical.com/ubuntu precise partner
deb-src http://archive.canonical.com/ubuntu precise partner

Pour sudo  grep  -i "tuxfamily"  /etc/apt/sources.list

deb http://download.tuxfamily.org/glxdock/repository/ubuntu precise cairo-dock ## Cairo-Dock-Stable
deb http://download.tuxfamily.org/glxdock/repository/ubuntu precise cairo-dock ## Cairo-Dock-Stable

Par contre les lignes en doublon je les trouves dans /var/lib/apt/lists/

#22 Re : -1 »  [Résolu] Impossible d'avoir une interface graphique. » Le 02/01/2014, à 09:40

Silvio66
Réponses : 16

Merci à alca94 et jeanjd63!!!

Tout est résolu.

Bonne et heureuse année 2014.

#23 -1 »  Problème Iptables » Le 27/08/2013, à 09:39

Silvio66
Réponses : 3

Bonjour à tous,

après une période "calme" j'ai à nouveau ce problème avec les Iptables (j'imagine) et l'ordinateur qui plante 5/6 fois dans la journée...

J'avoue que ça commence à devenir désagréable... Ça me fait un souvenir d'écran bleu...

Voici la capture d'écran avec le message.

mini_375783260820132resized.jpg

Merci pour tout votre aide!

#24 Re : -1 »  Problème Iptables » Le 27/08/2013, à 10:25

Silvio66
Réponses : 3

Bonjour darunia,

normalement le kernel est à jour.

Je te laisse la réponse de

uname -a
Linux silvio-TWH 3.2.0-53-generic-pae #81-Ubuntu SMP Thu Aug 22 21:23:47 UTC 2013 i686 i686 i386 GNU/Linux

Merci